OtherRevocationInfoFormat (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.cms

## Class OtherRevocationInfoFormat

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.OtherRevocationInfoFormat

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OtherRevocationInfoFormat
      extends ASN1Object

  RFC 5652: OtherRevocationInfoFormat object.

       OtherRevocationInfoFormat ::= SEQUENCE {
            otherRevInfoFormat OBJECT IDENTIFIER,
            otherRevInfo ANY DEFINED BY otherRevInfoFormat }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherRevocationInfoFormat(ASN1ObjectIdentifier otherRevInfoFormat, ASN1Encodable otherRevInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Encodable` | `getInfo()`
    `ASN1ObjectIdentifier` | `getInfoFormat()`
    `static OtherRevocationInfoFormat` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return a OtherRevocationInfoFormat object from a tagged object.
    `static OtherRevocationInfoFormat` | `getInstance(java.lang.Object obj)` Return a OtherRevocationInfoFormat object from the given object.
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherRevocationInfoFormat

          public OtherRevocationInfoFormat(ASN1ObjectIdentifier otherRevInfoFormat,
                                   ASN1Encodable otherRevInfo)

  - ### Method Detail

    - #### getInstance

          public static OtherRevocationInfoFormat getInstance(ASN1TaggedObject obj,
                                              boolean explicit)

      Return a OtherRevocationInfoFormat object from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static OtherRevocationInfoFormat getInstance(java.lang.Object obj)

      Return a OtherRevocationInfoFormat object from the given object.

      Accepted inputs:

      - null → null
      - `OtherRevocationInfoFormat` object
      - `ASN1Sequence` input formats with OtherRevocationInfoFormat structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInfoFormat

          public ASN1ObjectIdentifier getInfoFormat()

    - #### getInfo

          public ASN1Encodable getInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.